/*
 * blancoDb
 * Copyright (C) 2004-2005 Yasuo Nakanishi
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
package blanco.db.definition;

import java.util.Iterator;

import blanco.db.conf.ExecuteQuery;

/**
 * @author Yasuo Nakanishi
 */
public class QueryInvoker {

    private ExecuteQuery _executeQuery = null;

    public QueryInvoker(ExecuteQuery executeQuery) {
        _executeQuery = executeQuery;
    }

    public String getName() {
        return _executeQuery.getName();
    }

    public String getFilePath() {
        return _executeQuery.getFilePath();
    }

    public Iterator getParameterIterator() {
        return _executeQuery.getParameterIterator();
    }

    public String getQuery() {
        return _executeQuery.getQuery();
    }

    public void setQuery(String query) {
        _executeQuery.setQuery(query);
    }

    public boolean isSingle() {
        return _executeQuery.isSingle();
    }

}